#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d",&n);
    int **a=(int**)malloc(n*sizeof(int*));
    for(int i=0;i<n;i++)
    a[i]=(int*)calloc(n,sizeof(int));
    
    for(int i=0;i<n;i++)
    {
        int x,c;
        scanf("%d%d",&x,&c);
        a[x-1][c-1]=1;
    }
    int br=0;
    
    for(int i=0;i<n;i++)
    if(a[0][i]!=0)
        br++;
    printf("%d",br-1);
    return 0;
}